org.apache.fop.pdf

## Class PDFLayer.Resolver

- java.lang.Object
- - org.apache.fop.pdf.PDFLayer.Resolver

Enclosing class:
  PDFLayer

    public abstract static class PDFLayer.Resolver
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Resolver(PDFLayer layer, Object extension)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getExtension()`
`PDFLayer` `getLayer()`
`protected void` `performResolution()`
`void` `resolve()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Resolver

    public Resolver(PDFLayer layer,
                    Object extension)

### Method Detail

#### getLayer

    public PDFLayer getLayer()

#### getExtension

    public Object getExtension()

#### resolve

    public void resolve()

#### performResolution

    protected void performResolution()